diff --git a/base/server/python/pki/server/deployment/pkiparser.py b/base/server/python/pki/server/deployment/pkiparser.py
index 620c9bdb5de219b0ebdaa95c48facb627b4a76cd..a0e315d0e72bbe66d05b164aa05a6f24c8d01d81 100644
--- a/base/server/python/pki/server/deployment/pkiparser.py
+++ b/base/server/python/pki/server/deployment/pkiparser.py
@@ -1051,7 +1054,8 @@ class PKIConfigParser:
             #
             #     Apache - [RA]
             #     Tomcat - [CA], [KRA], [OCSP], [TKS], [TPS]
-            #            - [CA Clone], [KRA Clone], [OCSP Clone], [TKS Clone], [TPS Clone]
+            #            - [CA Clone], [KRA Clone], [OCSP Clone], [TKS Clone],
+            #              [TPS Clone]
             #            - [External CA]
             #            - [Subordinate CA]
             #
@@ -1072,7 +1076,8 @@ class PKIConfigParser:
             #         self.mdict['pki_token_name']
             #
             #     The following variables are established via the specified PKI
-            #     deployment configuration file and potentially overridden below:
+            #     deployment configuration file and potentially overridden
+            #     below:
             #
             #         self.mdict['pki_security_domain_user']
             #         self.mdict['pki_issuing_ca']
@@ -1083,13 +1088,13 @@ class PKIConfigParser:
 
                 # use the CA admin uid if it's defined
                 if self.pki_config.has_option('CA', 'pki_admin_uid') and\
-                    len(self.pki_config.get('CA', 'pki_admin_uid')) > 0:
+                        len(self.pki_config.get('CA', 'pki_admin_uid')) > 0:
                     self.mdict['pki_security_domain_user'] = \
                         self.pki_config.get('CA', 'pki_admin_uid')
 
                 # or use the Default admin uid if it's defined
                 elif self.pki_config.has_option('DEFAULT', 'pki_admin_uid') and\
-                    len(self.pki_config.get('DEFAULT', 'pki_admin_uid')) > 0:
+                        len(self.pki_config.get('DEFAULT', 'pki_admin_uid')) > 0:
                     self.mdict['pki_security_domain_user'] = \
                         self.pki_config.get('DEFAULT', 'pki_admin_uid')
 
@@ -1098,13 +1103,13 @@ class PKIConfigParser:
                     self.mdict['pki_security_domain_user'] = "caadmin"
 
             if not config.str2bool(self.mdict['pki_skip_configuration']) and\
-               (config.str2bool(self.mdict['pki_standalone'])):
+                    (config.str2bool(self.mdict['pki_standalone'])):
                 # Stand-alone PKI
                 self.mdict['pki_security_domain_type'] = "new"
                 self.mdict['pki_issuing_ca'] = "External CA"
             elif config.pki_subsystem != "CA" or\
-                 config.str2bool(self.mdict['pki_clone']) or\
-                 config.str2bool(self.mdict['pki_subordinate']):
+                    config.str2bool(self.mdict['pki_clone']) or\
+                    config.str2bool(self.mdict['pki_subordinate']):
                 # PKI KRA, PKI OCSP, PKI RA, PKI TKS, PKI TPS,
                 # CA Clone, KRA Clone, OCSP Clone, TKS Clone, TPS Clone, or
                 # Subordinate CA
@@ -1160,12 +1165,12 @@ class PKIConfigParser:
 
             if not 'pki_import_admin_cert' in self.mdict:
                 self.mdict['pki_import_admin_cert'] = 'false'
-            elif not config.str2bool(self.mdict['pki_skip_configuration']) and\
-                 (config.str2bool(self.mdict['pki_standalone'])):
+            elif not config.str2bool(self.mdict['pki_skip_configuration']) and \
+                    (config.str2bool(self.mdict['pki_standalone'])):
                 # Stand-alone PKI
                 self.mdict['pki_import_admin_cert'] = 'false'
 
-            if (config.str2bool(self.mdict['pki_standalone'])):
+            if config.str2bool(self.mdict['pki_standalone']):
                 self.mdict['pki_ca_signing_tag'] = "external_signing"
             else:
                 self.mdict['pki_ca_signing_tag'] = "signing"
@@ -1221,8 +1226,7 @@ class PKIConfigParser:
                     "restart" + " " + \
                     "pki-apached" + "@" + \
                     self.mdict['pki_instance_name'] + "." + "service"
-            elif self.mdict['pki_subsystem'] in\
-                 config.PKI_TOMCAT_SUBSYSTEMS:
+            elif self.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 self.mdict['pki_registry_initscript_command'] = \
                     "systemctl" + " " + \
                     "restart" + " " + \
@@ -1244,7 +1248,6 @@ class PKIConfigParser:
             raise
         return
 
-
     def compose_pki_slots_dictionary(self):
         """Read the slots configuration file to create
            the appropriate PKI slots dictionary"""
diff --git a/base/server/python/pki/server/upgrade.py b/base/server/python/pki/server/upgrade.py
index 57662b5d2069ab33a9d1e9d0fb2991ed45907a35..4cae695d1fa1dd90d959fe17f219b7040863f383 100644
--- a/base/server/python/pki/server/upgrade.py
+++ b/base/server/python/pki/server/upgrade.py
@@ -80,26 +80,33 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
                 continue
 
             if not self.can_upgrade_server(instance):
-                if verbose: print 'Skipping ' + str(instance) + ' instance.'
+                if verbose:
+                    print 'Skipping ' + str(instance) + ' instance.'
                 continue
 
             try:
-                if verbose: print 'Upgrading ' + str(instance) + ' instance.'
+                if verbose:
+                    print 'Upgrading ' + str(instance) + ' instance.'
                 self.upgrade_instance(instance)
                 self.update_server_tracker(instance)
 
             except Exception as e:
 
-                if verbose: traceback.print_exc()
-                else: print 'ERROR: ' + e.message
+                if verbose:
+                    traceback.print_exc()
+                else:
+                    print 'ERROR: ' + e.message
 
                 message = 'Failed upgrading ' + str(instance) + ' instance.'
                 if self.upgrader.silent:
                     print message
                 else:
-                    result = pki.read_text(message + ' Continue (Yes/No)',
-                        options=['Y', 'N'], default='Y', delimiter='?', case_sensitive=False).lower()
-                    if result == 'y': continue
+                    result = pki.read_text(
+                        message + ' Continue (Yes/No)',
+                        options=['Y', 'N'], default='Y',
+                        delimiter='?', case_sensitive=False).lower()
+                    if result == 'y':
+                        continue
 
                 raise pki.server.PKIServerException(
                     'Upgrade failed in ' + str(instance) + ': ' + e.message,
@@ -110,26 +117,33 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
         for subsystem in self.upgrader.subsystems(instance):
 
             if not self.can_upgrade_server(instance, subsystem):
-                if verbose: print 'Skipping ' + str(subsystem) + ' subsystem.'
+                if verbose:
+                    print 'Skipping ' + str(subsystem) + ' subsystem.'
                 continue
 
             try:
-                if verbose: print 'Upgrading ' + str(subsystem) + ' subsystem.'
+                if verbose:
+                    print 'Upgrading ' + str(subsystem) + ' subsystem.'
                 self.upgrade_subsystem(instance, subsystem)
                 self.update_server_tracker(instance, subsystem)
 
             except Exception as e:
 
-                if verbose: traceback.print_exc()
-                else: print 'ERROR: ' + e.message
+                if verbose:
+                    traceback.print_exc()
+                else:
+                    print 'ERROR: ' + e.message
 
                 message = 'Failed upgrading ' + str(subsystem) + ' subsystem.'
                 if self.upgrader.silent:
                     print message
                 else:
-                    result = pki.read_text(message + ' Continue (Yes/No)',
-                        options=['Y', 'N'], default='Y', delimiter='?', case_sensitive=False).lower()
-                    if result == 'y': continue
+                    result = pki.read_text(
+                        message + ' Continue (Yes/No)',
+                        options=['Y', 'N'], default='Y',
+                        delimiter='?', case_sensitive=False).lower()
+                    if result == 'y':
+                        continue
 
                 raise pki.server.PKIServerException(
                     'Upgrade failed in ' + str(subsystem) + ': ' + e.message,
@@ -146,14 +160,17 @@ class PKIServerUpgradeScriptlet(pki.upgrade.PKIUpgradeScriptlet):
 
 class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
 
-    def __init__(self, instanceName=None, instanceType=None, subsystemName=None, \
-        upgrade_dir=UPGRADE_DIR, version=None, index=None, silent=False):
+    def __init__(
+            self, instanceName=None, instanceType=None, subsystemName=None,
+            upgrade_dir=UPGRADE_DIR, version=None, index=None, silent=False):
 
-        super(PKIServerUpgrader, self).__init__(upgrade_dir, version, index, silent)
+        super(PKIServerUpgrader, self).__init__(
+            upgrade_dir, version, index, silent)
 
         if subsystemName and not instanceName:
             raise pki.PKIException(
-                'Invalid subsystem: ' + subsystemName + ', Instance not defined')
+                'Invalid subsystem: ' + subsystemName +
+                ', Instance not defined')
 
         self.instanceName = instanceName
         self.instanceType = instanceType
@@ -165,7 +182,8 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
     def instances(self):
 
         if self.instanceName and self.instanceType:
-            return [pki.server.PKIInstance(self.instanceName, self.instanceType)]
+            return [pki.server.PKIInstance(
+                self.instanceName, self.instanceType)]
 
         instance_list = []
 
@@ -173,23 +191,24 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
             if os.path.exists(os.path.join(pki.server.REGISTRY_DIR, 'tomcat')):
                 for instanceName in os.listdir(pki.server.INSTANCE_BASE_DIR):
                     if not self.instanceName or \
-                        self.instanceName == instanceName:
-                        instance_list.append(pki.server.PKIInstance(instanceName))
+                            self.instanceName == instanceName:
+                        instance_list.append(
+                            pki.server.PKIInstance(instanceName))
 
         if not self.instanceType or self.instanceType == 9:
             for s in pki.server.SUBSYSTEM_TYPES:
                 if os.path.exists(os.path.join(pki.server.REGISTRY_DIR, s)):
-                    for instanceName in \
-                        os.listdir(os.path.join(pki.server.REGISTRY_DIR, s)):
+                    for instanceName in os.listdir(
+                            os.path.join(pki.server.REGISTRY_DIR, s)):
                         if not self.instanceName or \
-                            self.instanceName == instanceName:
-                            instance_list.append(pki.server.PKIInstance(instanceName, 9))
+                                self.instanceName == instanceName:
+                            instance_list.append(
+                                pki.server.PKIInstance(instanceName, 9))
 
         instance_list.sort()
 
         return instance_list
 
-
     def subsystems(self, instance):
 
         if self.subsystemName:
@@ -198,11 +217,13 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
         subsystem_list = []
 
         if instance.type >= 10:
-            registry_dir = os.path.join(pki.server.REGISTRY_DIR, 'tomcat',
+            registry_dir = os.path.join(
+                pki.server.REGISTRY_DIR, 'tomcat',
                 instance.name)
             for subsystemName in os.listdir(registry_dir):
                 if subsystemName in pki.server.SUBSYSTEM_TYPES:
-                    subsystem_list.append(pki.server.PKISubsystem(instance, subsystemName))
+                    subsystem_list.append(
+                        pki.server.PKISubsystem(instance, subsystemName))
         else:
             for subsystemName in pki.server.SUBSYSTEM_TYPES:
                 registry_dir = os.path.join(
@@ -210,7 +231,8 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
                     subsystemName,
                     instance.name)
                 if os.path.exists(registry_dir):
-                    subsystem_list.append(pki.server.PKISubsystem(instance, subsystemName))
+                    subsystem_list.append(
+                        pki.server.PKISubsystem(instance, subsystemName))
 
         subsystem_list.sort()
 
@@ -223,7 +245,8 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
             try:
                 tracker = self.subsystem_trackers[instance]
             except KeyError:
-                tracker = pki.upgrade.PKIUpgradeTracker(name + ' subsystem',
+                tracker = pki.upgrade.PKIUpgradeTracker(
+                    name + ' subsystem',
                     SUBSYSTEM_TRACKER % subsystem.conf_dir,
                     version_key='cms.product.version',
                     index_key='cms.upgrade.index')
@@ -233,7 +256,8 @@ class PKIServerUpgrader(pki.upgrade.PKIUpgrader):
             try:
                 tracker = self.instance_trackers[str(instance)]
             except KeyError:
-                tracker = pki.upgrade.PKIUpgradeTracker(str(instance) + ' instance',
+                tracker = pki.upgrade.PKIUpgradeTracker(
+                    str(instance) + ' instance',
                     INSTANCE_TRACKER % instance.conf_dir,
                     version_key='PKI_VERSION',
                     index_key='PKI_UPGRADE_INDEX')
diff --git a/base/server/sbin/pkidestroy b/base/server/sbin/pkidestroy
index e9eadf9bafc5ba4a5d741af2105bed07961fa398..f0fa27a0093ebee5243471b56f6f91d8364f7594 100755
--- a/base/server/sbin/pkidestroy
+++ b/base/server/sbin/pkidestroy
@@ -48,6 +48,7 @@ error was:
 """ % sys.exc_value
     sys.exit(1)
 
+
 #Handle the Keyboard Interrupt
 # pylint: disable-msg=W0613
 def interrupt_handler(event, frame):
@@ -55,9 +56,10 @@ def interrupt_handler(event, frame):
     print '\nUninstallation canceled.'
     sys.exit(1)
 
+
 # PKI Deployment Functions
 def main(argv):
-    "main entry point"
+    """main entry point"""
 
     config.pki_deployment_executable = os.path.basename(argv[0])
 
@@ -86,8 +88,9 @@ def main(argv):
     # Retrieve DNS domainname
     config.pki_dns_domainname = None
     try:
-        dnsdomainname = subprocess.check_output("dnsdomainname",
-                                                            shell=True)
+        dnsdomainname = subprocess.check_output(
+            "dnsdomainname",
+            shell=True)
         # workaround for pylint error E1103
         config.pki_dns_domainname = str(dnsdomainname).rstrip('\n')
         if not len(config.pki_dns_domainname):
@@ -102,24 +105,26 @@ def main(argv):
         'PKI Instance Removal',
         log.PKIDESTROY_EPILOG)
 
-    parser.optional.add_argument('-i',
+    parser.optional.add_argument(
+        '-i',
         dest='pki_deployed_instance_name',
         action='store',
         nargs=1, metavar='<instance>',
         help='FORMAT:  ${pki_instance_name}')
 
-    parser.optional.add_argument('-u',
+    parser.optional.add_argument(
+        '-u',
         dest='pki_secdomain_user',
         action='store',
         nargs=1, metavar='<security domain user>',
         help='security domain user')
     
-    parser.optional.add_argument('-W',
+    parser.optional.add_argument(
+        '-W',
         dest='pki_secdomain_pass_file',
         action='store',
         nargs=1, metavar='<security domain password file>',
         help='security domain password file path')
-                                 
 
     args = parser.process_command_line_arguments()
 
@@ -130,7 +135,8 @@ def main(argv):
         # -s <subsystem>
         if args.pki_subsystem is None:
             interactive = True
-            config.pki_subsystem = parser.read_text('Subsystem (CA/KRA/OCSP/TKS/TPS)',
+            config.pki_subsystem = parser.read_text(
+                'Subsystem (CA/KRA/OCSP/TKS/TPS)',
                 options=['CA', 'KRA', 'OCSP', 'TKS', 'TPS'],
                 default='CA', case_sensitive=False).upper()
         else:
@@ -139,15 +145,18 @@ def main(argv):
         # -i <instance name>
         if args.pki_deployed_instance_name is None:
             interactive = True
-            config.pki_deployed_instance_name = parser.read_text('Instance', default='pki-tomcat')
+            config.pki_deployed_instance_name = \
+                parser.read_text('Instance', default='pki-tomcat')
         else:
-            config.pki_deployed_instance_name = str(args.pki_deployed_instance_name).strip('[\']')
+            config.pki_deployed_instance_name = \
+                str(args.pki_deployed_instance_name).strip('[\']')
 
         if interactive:
             print
             parser.indent = 0
 
-            begin = parser.read_text('Begin uninstallation (Yes/No/Quit)',
+            begin = parser.read_text(
+                'Begin uninstallation (Yes/No/Quit)',
                 options=['Yes', 'Y', 'No', 'N', 'Quit', 'Q'],
                 sign='?', allow_empty=False, case_sensitive=False).lower()
 
@@ -169,13 +178,14 @@ def main(argv):
 
     #    '-W' password file
     if args.pki_secdomain_pass_file:
-        with open(str(args.pki_secdomain_pass_file).strip('[\']'),'r') as pwd_file:
+        with open(str(args.pki_secdomain_pass_file).strip('[\']'), 'r') as \
+                pwd_file:
             config.pki_secdomain_pass = pwd_file.readline().strip('\n')
 
     # verify that previously deployed instance exists
-    deployed_pki_instance_path = config.pki_root_prefix +\
-                                 config.PKI_DEPLOYMENT_BASE_ROOT + "/" +\
-                                 config.pki_deployed_instance_name
+    deployed_pki_instance_path = \
+        config.pki_root_prefix + config.PKI_DEPLOYMENT_BASE_ROOT + "/" + \
+        config.pki_deployed_instance_name
     if not os.path.exists(deployed_pki_instance_path):
         print "ERROR:  " + log.PKI_INSTANCE_DOES_NOT_EXIST_1 %\
               deployed_pki_instance_path
@@ -183,15 +193,16 @@ def main(argv):
         parser.arg_parser.exit(-1)
 
     # verify that previously deployed subsystem for this instance exists
-    deployed_pki_subsystem_path = deployed_pki_instance_path + "/" +\
-                                  config.pki_subsystem.lower()
+    deployed_pki_subsystem_path = \
+        deployed_pki_instance_path + "/" + config.pki_subsystem.lower()
     if not os.path.exists(deployed_pki_subsystem_path):
         print "ERROR:  " + log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 %\
               (config.pki_subsystem, deployed_pki_instance_path)
         print
         parser.arg_parser.exit(-1)
 
-    config.default_deployment_cfg = config.PKI_DEPLOYMENT_DEFAULT_CONFIGURATION_FILE
+    config.default_deployment_cfg = \
+        config.PKI_DEPLOYMENT_DEFAULT_CONFIGURATION_FILE
 
     # establish complete path to previously deployed configuration file
     config.user_deployment_cfg =\
@@ -204,8 +215,8 @@ def main(argv):
     parser.init_config()
 
     # Enable 'pkidestroy' logging.
-    config.pki_log_dir = config.pki_root_prefix +\
-                         config.PKI_DEPLOYMENT_LOG_ROOT
+    config.pki_log_dir = \
+        config.pki_root_prefix + config.PKI_DEPLOYMENT_LOG_ROOT
     config.pki_log_name = "pki" + "-" +\
                           config.pki_subsystem.lower() +\
                           "-" + "destroy" + "." +\
@@ -230,14 +241,15 @@ def main(argv):
 
     # Combine the various sectional dictionaries into a PKI master dictionary
     parser.compose_pki_master_dictionary()
-    parser.mdict['pki_destroy_log'] = config.pki_log_dir + "/" +\
-                                                config.pki_log_name
+    parser.mdict['pki_destroy_log'] = \
+        config.pki_log_dir + "/" + config.pki_log_name
     config.pki_log.debug(log.PKI_DICTIONARY_MASTER,
                          extra=config.PKI_INDENTATION_LEVEL_0)
     config.pki_log.debug(pkilogging.log_format(parser.mdict),
                          extra=config.PKI_INDENTATION_LEVEL_0)
 
-    print "Uninstalling " + config.pki_subsystem + " from " + deployed_pki_instance_path + "."
+    print "Uninstalling " + config.pki_subsystem + " from " + \
+          deployed_pki_instance_path + "."
 
     # Process the various "scriptlets" to remove the specified PKI subsystem.
     pki_subsystem_scriptlets = parser.mdict['destroy_scriplets'].split()
@@ -246,7 +258,7 @@ def main(argv):
     for pki_scriptlet in pki_subsystem_scriptlets:
         scriptlet = __import__("pki.server.deployment.scriptlets." +
                                pki_scriptlet,
-                               fromlist = [pki_scriptlet])
+                               fromlist=[pki_scriptlet])
         instance = scriptlet.PkiScriptlet()
         rv = instance.destroy(deployer)
         if rv != 0:
